View Issue Details

This bug affects 1 person(s).
 4
IDProjectCategoryView StatusLast Update
16772Bug reportsPluginspublic2021-04-14 19:24
Reportergabrieljenik Assigned Togabrieljenik  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version4.3.22 
Summary16772: Allow plugin to add question attributes
DescriptionAllow LSv4 to pick question attributes not only from Question Themes but also from Plugins.
First, we need it for backward compatibility with already created plugins.

Also, there are lot of situations (ex an export plugin) where we need question attributes with out needing to change the default question theme, or when needing to apply a a new question attribute to a broad range of question types.
TagsNo tags attached.
Bug heat4
Complete LimeSurvey version number (& build)4.3.22
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database type & versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Relationships

related to 16669 closedgabrieljenik Bug reports getQuestionAttributes function don't get the plugins attribute 
related to 14723 assignedcdorin Development  Global attribute or question dependance 
related to 16760 assignedJHoeck Development  Qanda Refactoring 

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

DenisChenu

DenisChenu

2020-10-21 18:34

developer   ~60346

I like thiss one too : https://bugs.limesurvey.org/view.php?id=14248 : Survey them adding Questionattribute
DenisChenu

DenisChenu

2020-10-21 19:03

developer   ~60347

Last edited: 2021-02-23 15:48

I really think it's a terrible mistalke to move all attributes to QuestionTheme …

Some come from core : ExpressionManager validation for example …

attribute in QuetsionTheme : QuezstinTheme do only HTML (and js) for ANSWERS part … no Class, No PHP logic etc …

Else : clearly related with 16760: Qanda Refactoring (qand use attribute a lot)
DenisChenu

DenisChenu

2021-02-23 17:00

developer   ~62469

Can you check newQuestionAttributes is broken (again) in question editor https://bugs.limesurvey.org/view.php?id=17049
gabrieljenik

gabrieljenik

2021-04-14 19:23

manager   ~63946

I think this can be closed as per what's has been worked on 16669.
This ticket was focused on the admin side, which is the part solved already on 16669.

Issue History

Date Modified Username Field Change
2020-10-21 18:07 gabrieljenik New Issue
2020-10-21 18:07 gabrieljenik Issue generated from: 16669
2020-10-21 18:07 gabrieljenik Relationship added related to 16669
2020-10-21 18:34 DenisChenu Note Added: 60346
2020-10-21 19:00 DenisChenu Relationship added related to 14723
2020-10-21 19:03 DenisChenu Note Added: 60347
2020-10-21 19:04 DenisChenu Relationship added related to 16760
2020-10-26 10:35 SyncBot Zoho Sprints => |Yes|
2020-10-26 14:32 SyncBot Sync to Zoho Project => |Yes|
2021-02-23 15:48 ollehar Assigned To => gabrieljenik
2021-02-23 15:48 ollehar Status new => assigned
2021-02-23 17:00 DenisChenu Note Added: 62469
2021-04-14 19:23 gabrieljenik Note Added: 63946
2021-04-14 19:24 gabrieljenik Status assigned => closed
2021-04-14 19:24 gabrieljenik Resolution open => fixed